{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    "minecraft:charcoal",
    "minecraft:redstone",
    "minecraft:raw_copper",
    "minecraft:glowstone_dust"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:gunpowder"
  }
}